//
// VCRRecording.h
//
// Copyright (c) 2012 Dustin Barker
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

#import <Foundation/Foundation.h>

@interface VCRRecording : NSObject

- (id)initWithJSON:(id)json;

- (id)JSON;

- (NSHTTPURLResponse *)HTTPURLResponse;

@property (nonatomic, strong) NSString *method;
@property (nonatomic, strong) NSString *URI;
@property (nonatomic, strong) NSRegularExpression *URIRegex;
@property (nonatomic, strong) NSData *data;
@property (weak, nonatomic, readonly) NSString *body;
@property (nonatomic, strong) NSDictionary *headerFields;
@property (nonatomic, strong) NSError *error;
@property (assign) NSInteger statusCode;

@end

